import { computation, sample, SKIP } from './index.js';

const map = (f, computation$1) => computation(() => {
    return f(computation$1());
}, f(sample(computation$1)));
const dropRepeatsWith = (signal, equality) => {
    let i = 0;
    return computation((prev) => {
        i++;
        let next = signal();
        if (i === 1 || !equality(prev, next)) {
            return next;
        }
        else {
            return SKIP;
        }
    }, sample(signal));
};
const mergeAll = (computations) => {
    let initial = computations.map(x => sample(x));
    let out = computation(() => {
        return computations.map(x => x());
    }, initial);
    return out;
};

export { dropRepeatsWith, map, mergeAll };
//# sourceMappingURL=utils.js.map
